/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | Geeklog 1.3                                                               |
// +---------------------------------------------------------------------------+
// | Static Page to list Feeds for Geeklog                                     |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2005 by the      following authors:                         |
// |                                                                           |
// | Authors: Tony Bibbs       - tony AT geeklog DOT net                       |
// |          Dirk Haun        - dirk AT haun-online DOT de                    |
// |          Joerg Michael    - jmi AT dominopower DOT de                     |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//


/* Paste the following into a static page, enable PHP parsing for that static
 * page, and voila, a list of your feeds.
 */


$results = db_query("select * from ".$_DB_table_prefix."syndication WHERE is_enabled = 1 ORDER BY format, title",1); 
$rows = DB_numRows($results); 
$display ="<table>"; 
$display .= '<tr><td colspan="2">'; 
$display .= "<p><br>This page contains a list of active RDF/RSS news feeds as well as mobile channels that can be used by Avantgo and similar services. Our Avantgo channels are also suitable for online browsing on small screens.<p><br><br>"; 
$display .= "</td></tr>"; 

for ($i=0; $i< $rows; $i++) { 
    $row = DB_fetchArray($results) ; 

    $pfx = "Channel " ; 
//     $color = '<font color="red">'; 
    $fmt = $row['format']; 
    if ( strcmp( $fmt, "avantgo") ) { 
        $pfx = "Feed "; 
//      $color = '<font color="blue">'; 
    } 

    $maxa = $row['limits'] ; 
    if ( $maxa == 0 ) { 
        $maxm = ""; 
    } else { 
        $maxm = " (max. " . $maxa . ' articles)'; 
    } 

    $display .= '<tr><td colspan="2" bgcolor="#DDDDDD"><b>'.$row['title']."</b></td></tr>"; 
    $fspec = $_CONF['site_url'] . '/backend/' . $row['filename']; 
    $flink = '<a href="'.$fspec.'">' . $fspec . '</a>'; 
    $display .= '<tr><td width="20%" valign="top">' . $color  . strtoupper($row['format']) . '</font></td><td>' .$row['description']  . $maxm . '</td></tr>'; 
    $display .= '<tr><td>' . $pfx . 'URL: </td><td>' . $flink.'</td></tr>'; 
    $display .= '<tr><td colspan="2">&nbsp;</td></tr>'; 
} 

$display .= "</table>"; 

return $display; 
